#!/sbin/openrc-run
# Path = /etc/init.d/tinc@{{ vpn_name }}

supervisor=supervise-daemon
respawn_delay=10

command={{ usr_prefix }}/sbin/tincd
command_args="-D -n {{ vpn_name }}"
pidfile=/run/tincd.{{ vpn_name }}.pid
output_log=/var/log/tinc.{{ vpn_name }}.log
error_log=/var/log/tinc.{{ vpn_name }}.err

start_pre() {
  /sbin/modprobe tun
}

depend() {
  use net
}
